QGIS Application - Bug report #7713

qgis mapserver on Windows does not accept "\\" in project paths

2013-04-25 03:29 PM - Giovanni Manghi
Copied to github as #: 16624

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:1.8.0 Regression?:
Operating System: Windows Easy fix?:
Pull Request or Patch supplied: Resolution:
Crashes QGIS or corrupls data:

Description

the url

http://localhost/cgi-bin/qgis_mapserv.fcgi?map=c:/temp/teste18.9gs

works, while

http://localhost/cgi-bin/qgis _mapserv.fcgi?map=c:\\temp\\teste18.qgs

does not. The error message is

"(No error code was reported) The WMS vendor also reported:
Configuration file problem : perhaps you left off the .qgs extension?"

and to make it work it is necessary to select the checkboxes "Ignore
GetMap... and Ignore GetFeaturelnfo... ".

Is this the correct behavior?

History

#1 - 2014-01-30 11:41 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2014-06-20 06:44 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed

| guess it is by design.
